eoLinearTruncateSplit(3)

NAME
eoLinearTruncateSplit - a ReduceSplit class that does not sort, but repeatidely kills the worse.

SYNOPSIS

#include <eoReduceSplit.h>

Inherits eoReduceSplit< EOT >< EOT >.

  Public Member Functions
eoLinearTruncateSplit (eoHowMany _howMany, bool _returnEliminated=false)
Ctor: must provide amount of reduction, and whether or not you need to return the eliminated guys.
void operator() (eoPop< EOT > &_newgen, eoPop< EOT > &_eliminated)
do the job

  Private Attributes
eoHowMany howMany
bool returnEliminated

Detailed Description

  template<class EOT> class eoLinearTruncateSplit< EOT >
a ReduceSplit class that does not sort, but repeatidely kills the worse. To be used in SSGA-like replacements (e.g. see eoSSGAWorseReplacement)

Definition at line 87 of file eoReduceSplit.h.

Author

Generated automatically by Doxygen for EO from the source code.